<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Camera</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/dd2/group___camera.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">Camera<div class="ingroups"><a class="el" href="../../d3/d1e/group___world.html">World</a> &raquo; <a class="el" href="../../d4/d14/group___world_common.html">World</a></div></div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:da/d73/group___light"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html">Light API</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:gaf7eb92b45c5f7f64f02821f87c385ebb"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#gaf7eb92b45c5f7f64f02821f87c385ebb">CameraType</a> { <a class="el" href="../../dd/dd2/group___camera.html#ggaf7eb92b45c5f7f64f02821f87c385ebba2c5d7801888c03752f28943ac85d805f">PERSPECTIVE</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggaf7eb92b45c5f7f64f02821f87c385ebbae7bf29f117630a30ba5ffc75b33ac624">ORTHOGRAPHIC</a>
 }</td></tr>
<tr class="separator:gaf7eb92b45c5f7f64f02821f87c385ebb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac5442d940bdd247b908f1f02efd643ec"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a> { <br />
&#160;&#160;<a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643ecac7485dcc8d256a6f197ed7802687f252">None</a> = 0
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643ecae8ce6aa6da69aa6067228cb5d3601cd5">UnderWater</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643ecaf7b0c26b7bacd340e23f39c8e2af51a1">SSAO</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca4dab8f1ffd3077e57481d1ba8a9ea1fe">DepthOfField</a>
, <br />
&#160;&#160;<a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca5dc9ab33dd844e2e5b317f9cac1c77a2">HBAO</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca7c3b607a9a00ed5b6cef839d28cfe099">RotBlur</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643ecad32671fa5232d1c225721c95c7b19165">GodRays</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca96c49914e8ea2c7401032004954fe2eb">Rain</a>
, <br />
&#160;&#160;<a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643ecade0540ead50fe6be92c7baca8a225e5b">FilmGrain</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca96a0790f06d9234cb2c1595bbdbfdb82">RadialBlur</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca9ce940b6eb268a14f54b5312381a0e5f">ChromAber</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643ecaae09b6e936d777a56fa7f357a12481ff">WetDistort</a>
, <br />
&#160;&#160;<a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca3c09b666316dcd2c4585362ab3c481ee">DynamicBlur</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca145da7218aaf118bbbf924640dfbe8ff">ColorGrading</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca515d73e017210331effb75fc041cf1bb">Colors</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643ecac7adb89e56ad4a2daef183d318110442">Glow</a>
, <br />
&#160;&#160;<a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643ecaa748cb45d5f07a8eed16665a35ec96e3">SMAA</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca0530ba77da960687484fa61cbb46fc54">FXAA</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643ecaf73a513956cd3c0a2aec3ac169367ab3">Median</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca8784aab944842cbf54e22949ffe344f6">SunMask</a>
, <br />
&#160;&#160;<a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca07942b5d0ec67adf96065a4af68f402e">GaussFilter</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca9a2d7a90fdf555e705456fa129863d29">SSR</a>
<br />
 }</td></tr>
<tr class="memdesc:gac5442d940bdd247b908f1f02efd643ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Post-process effect type.  <a href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">More...</a><br /></td></tr>
<tr class="separator:gac5442d940bdd247b908f1f02efd643ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaa3480d6eb19b49b7188e98d052995745"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#gaa3480d6eb19b49b7188e98d052995745">SetListenerCamera</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> camera)</td></tr>
<tr class="memdesc:gaa3480d6eb19b49b7188e98d052995745"><td class="mdescLeft">&#160;</td><td class="mdescRight">sets which camera will be a listener (for sound engine)  <a href="../../dd/dd2/group___camera.html#gaa3480d6eb19b49b7188e98d052995745">More...</a><br /></td></tr>
<tr class="separator:gaa3480d6eb19b49b7188e98d052995745"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0516bb628412380764d49ef4eb1bde8f"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#ga0516bb628412380764d49ef4eb1bde8f">SetCamera</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, <a class="el" href="../../d7/dfc/classvector.html">vector</a> origin, <a class="el" href="../../d7/dfc/classvector.html">vector</a> angle)</td></tr>
<tr class="separator:ga0516bb628412380764d49ef4eb1bde8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga23ce1220274e91afb8cf8a69c5d9e712"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#ga23ce1220274e91afb8cf8a69c5d9e712">SetCameraEx</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, const <a class="el" href="../../d7/dfc/classvector.html">vector</a> mat[4])</td></tr>
<tr class="memdesc:ga23ce1220274e91afb8cf8a69c5d9e712"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes camera matrix.  <a href="../../dd/dd2/group___camera.html#ga23ce1220274e91afb8cf8a69c5d9e712">More...</a><br /></td></tr>
<tr class="separator:ga23ce1220274e91afb8cf8a69c5d9e712"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeeb29ff56f86db828f96366d45576fa8"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#gaeeb29ff56f86db828f96366d45576fa8">GetCamera</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, out <a class="el" href="../../d7/dfc/classvector.html">vector</a> mat[4])</td></tr>
<tr class="memdesc:gaeeb29ff56f86db828f96366d45576fa8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns current camera transformation.  <a href="../../dd/dd2/group___camera.html#gaeeb29ff56f86db828f96366d45576fa8">More...</a><br /></td></tr>
<tr class="separator:gaeeb29ff56f86db828f96366d45576fa8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9b244d2618f2a96d9f6642d44f618707"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#ga9b244d2618f2a96d9f6642d44f618707">SetCameraVerticalFOV</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, <a class="el" href="../../d4/dc3/classfloat.html">float</a> fovy)</td></tr>
<tr class="separator:ga9b244d2618f2a96d9f6642d44f618707"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga59c038be17105116c574c91c58596c1f"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#ga59c038be17105116c574c91c58596c1f">SetCameraFarPlane</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, <a class="el" href="../../d4/dc3/classfloat.html">float</a> farplane)</td></tr>
<tr class="separator:ga59c038be17105116c574c91c58596c1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga864701e7039252f25eeacdb86a7b5ff1"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#ga864701e7039252f25eeacdb86a7b5ff1">SetCameraNearPlane</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, <a class="el" href="../../d4/dc3/classfloat.html">float</a> nearplane)</td></tr>
<tr class="separator:ga864701e7039252f25eeacdb86a7b5ff1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae4252d97a0945e3b25995650d79a64ee"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#gae4252d97a0945e3b25995650d79a64ee">SetCameraType</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, <a class="el" href="../../dd/dd2/group___camera.html#gaf7eb92b45c5f7f64f02821f87c385ebb">CameraType</a> type)</td></tr>
<tr class="separator:gae4252d97a0945e3b25995650d79a64ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf10ab120d06c5b35d83a3cce12da61ea"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#gaf10ab120d06c5b35d83a3cce12da61ea">SetCameraPostProcessEffect</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> priority, <a class="el" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a> type, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> materialPath)</td></tr>
<tr class="separator:gaf10ab120d06c5b35d83a3cce12da61ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa36c5a603a8e01e8c45cfc75e097d4ca"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#gaa36c5a603a8e01e8c45cfc75e097d4ca">ProjectVector</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d7/dfc/classvector.html">vector</a> vec)</td></tr>
<tr class="separator:gaa36c5a603a8e01e8c45cfc75e097d4ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6036a62c98408dee3997101c5fa6b5b7"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#ga6036a62c98408dee3997101c5fa6b5b7">UnprojectVector</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, <a class="el" href="../../d4/dc3/classfloat.html">float</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d7/dfc/classvector.html">vector</a> dir)</td></tr>
<tr class="separator:ga6036a62c98408dee3997101c5fa6b5b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="gaf7eb92b45c5f7f64f02821f87c385ebb" name="gaf7eb92b45c5f7f64f02821f87c385ebb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf7eb92b45c5f7f64f02821f87c385ebb">&#9670;&#160;</a></span>CameraType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../dd/dd2/group___camera.html#gaf7eb92b45c5f7f64f02821f87c385ebb">CameraType</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="ggaf7eb92b45c5f7f64f02821f87c385ebba2c5d7801888c03752f28943ac85d805f" name="ggaf7eb92b45c5f7f64f02821f87c385ebba2c5d7801888c03752f28943ac85d805f"></a>PERSPECTIVE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggaf7eb92b45c5f7f64f02821f87c385ebbae7bf29f117630a30ba5ffc75b33ac624" name="ggaf7eb92b45c5f7f64f02821f87c385ebbae7bf29f117630a30ba5ffc75b33ac624"></a>ORTHOGRAPHIC&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../dd/d09/_en_world_8c_source.html#l00038">38</a> of file <a class="el" href="../../dd/d09/_en_world_8c_source.html">EnWorld.c</a>.</p>

</div>
</div>
<a id="gac5442d940bdd247b908f1f02efd643ec" name="gac5442d940bdd247b908f1f02efd643ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac5442d940bdd247b908f1f02efd643ec">&#9670;&#160;</a></span>PostProcessEffectType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Post-process effect type. </p>
<dl class="section attention"><dt>Attention</dt><dd>Keep enum names in synch with post-process effect material class names. Postfix "Effect" is appended automatically. </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643ecac7485dcc8d256a6f197ed7802687f252" name="ggac5442d940bdd247b908f1f02efd643ecac7485dcc8d256a6f197ed7802687f252"></a>None&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643ecae8ce6aa6da69aa6067228cb5d3601cd5" name="ggac5442d940bdd247b908f1f02efd643ecae8ce6aa6da69aa6067228cb5d3601cd5"></a>UnderWater&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643ecaf7b0c26b7bacd340e23f39c8e2af51a1" name="ggac5442d940bdd247b908f1f02efd643ecaf7b0c26b7bacd340e23f39c8e2af51a1"></a>SSAO&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643eca4dab8f1ffd3077e57481d1ba8a9ea1fe" name="ggac5442d940bdd247b908f1f02efd643eca4dab8f1ffd3077e57481d1ba8a9ea1fe"></a>DepthOfField&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643eca5dc9ab33dd844e2e5b317f9cac1c77a2" name="ggac5442d940bdd247b908f1f02efd643eca5dc9ab33dd844e2e5b317f9cac1c77a2"></a>HBAO&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643eca7c3b607a9a00ed5b6cef839d28cfe099" name="ggac5442d940bdd247b908f1f02efd643eca7c3b607a9a00ed5b6cef839d28cfe099"></a>RotBlur&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643ecad32671fa5232d1c225721c95c7b19165" name="ggac5442d940bdd247b908f1f02efd643ecad32671fa5232d1c225721c95c7b19165"></a>GodRays&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643eca96c49914e8ea2c7401032004954fe2eb" name="ggac5442d940bdd247b908f1f02efd643eca96c49914e8ea2c7401032004954fe2eb"></a>Rain&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643ecade0540ead50fe6be92c7baca8a225e5b" name="ggac5442d940bdd247b908f1f02efd643ecade0540ead50fe6be92c7baca8a225e5b"></a>FilmGrain&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643eca96a0790f06d9234cb2c1595bbdbfdb82" name="ggac5442d940bdd247b908f1f02efd643eca96a0790f06d9234cb2c1595bbdbfdb82"></a>RadialBlur&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643eca9ce940b6eb268a14f54b5312381a0e5f" name="ggac5442d940bdd247b908f1f02efd643eca9ce940b6eb268a14f54b5312381a0e5f"></a>ChromAber&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643ecaae09b6e936d777a56fa7f357a12481ff" name="ggac5442d940bdd247b908f1f02efd643ecaae09b6e936d777a56fa7f357a12481ff"></a>WetDistort&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643eca3c09b666316dcd2c4585362ab3c481ee" name="ggac5442d940bdd247b908f1f02efd643eca3c09b666316dcd2c4585362ab3c481ee"></a>DynamicBlur&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643eca145da7218aaf118bbbf924640dfbe8ff" name="ggac5442d940bdd247b908f1f02efd643eca145da7218aaf118bbbf924640dfbe8ff"></a>ColorGrading&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643eca515d73e017210331effb75fc041cf1bb" name="ggac5442d940bdd247b908f1f02efd643eca515d73e017210331effb75fc041cf1bb"></a>Colors&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643ecac7adb89e56ad4a2daef183d318110442" name="ggac5442d940bdd247b908f1f02efd643ecac7adb89e56ad4a2daef183d318110442"></a>Glow&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643ecaa748cb45d5f07a8eed16665a35ec96e3" name="ggac5442d940bdd247b908f1f02efd643ecaa748cb45d5f07a8eed16665a35ec96e3"></a>SMAA&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643eca0530ba77da960687484fa61cbb46fc54" name="ggac5442d940bdd247b908f1f02efd643eca0530ba77da960687484fa61cbb46fc54"></a>FXAA&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643ecaf73a513956cd3c0a2aec3ac169367ab3" name="ggac5442d940bdd247b908f1f02efd643ecaf73a513956cd3c0a2aec3ac169367ab3"></a>Median&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643eca8784aab944842cbf54e22949ffe344f6" name="ggac5442d940bdd247b908f1f02efd643eca8784aab944842cbf54e22949ffe344f6"></a>SunMask&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643eca07942b5d0ec67adf96065a4af68f402e" name="ggac5442d940bdd247b908f1f02efd643eca07942b5d0ec67adf96065a4af68f402e"></a>GaussFilter&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggac5442d940bdd247b908f1f02efd643eca9a2d7a90fdf555e705456fa129863d29" name="ggac5442d940bdd247b908f1f02efd643eca9a2d7a90fdf555e705456fa129863d29"></a>SSR&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../dd/d09/_en_world_8c_source.html#l00071">71</a> of file <a class="el" href="../../dd/d09/_en_world_8c_source.html">EnWorld.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="gaeeb29ff56f86db828f96366d45576fa8" name="gaeeb29ff56f86db828f96366d45576fa8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaeeb29ff56f86db828f96366d45576fa8">&#9670;&#160;</a></span>GetCamera()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void GetCamera </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>cam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>mat</em>[4]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns current camera transformation. </p>

</div>
</div>
<a id="gaa36c5a603a8e01e8c45cfc75e097d4ca" name="gaa36c5a603a8e01e8c45cfc75e097d4ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa36c5a603a8e01e8c45cfc75e097d4ca">&#9670;&#160;</a></span>ProjectVector()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto <a class="el" href="../../d7/dfc/classvector.html">vector</a> ProjectVector </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>cam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>ent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>vec</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ga0516bb628412380764d49ef4eb1bde8f" name="ga0516bb628412380764d49ef4eb1bde8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0516bb628412380764d49ef4eb1bde8f">&#9670;&#160;</a></span>SetCamera()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetCamera </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>cam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>origin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>angle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Changes camera position </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">cam</td><td>Index of camera </td></tr>
    <tr><td class="paramname">origin</td><td>position </td></tr>
    <tr><td class="paramname">angle</td><td>orientation </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ga23ce1220274e91afb8cf8a69c5d9e712" name="ga23ce1220274e91afb8cf8a69c5d9e712"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga23ce1220274e91afb8cf8a69c5d9e712">&#9670;&#160;</a></span>SetCameraEx()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetCameraEx </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>cam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>mat</em>[4]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes camera matrix. </p>

</div>
</div>
<a id="ga59c038be17105116c574c91c58596c1f" name="ga59c038be17105116c574c91c58596c1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga59c038be17105116c574c91c58596c1f">&#9670;&#160;</a></span>SetCameraFarPlane()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetCameraFarPlane </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>cam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>farplane</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ga864701e7039252f25eeacdb86a7b5ff1" name="ga864701e7039252f25eeacdb86a7b5ff1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga864701e7039252f25eeacdb86a7b5ff1">&#9670;&#160;</a></span>SetCameraNearPlane()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetCameraNearPlane </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>cam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>nearplane</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="gaf10ab120d06c5b35d83a3cce12da61ea" name="gaf10ab120d06c5b35d83a3cce12da61ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf10ab120d06c5b35d83a3cce12da61ea">&#9670;&#160;</a></span>SetCameraPostProcessEffect()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetCameraPostProcessEffect </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>cam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>priority</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>materialPath</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >set postprocess effect to camera To disable effect in some prioroty ppEffect, just set effectName or name to NULL </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">cam</td><td>number of camera </td></tr>
    <tr><td class="paramname">priority</td><td>priority of effect </td></tr>
    <tr><td class="paramname">type</td><td>type of effect </td></tr>
    <tr><td class="paramname">materialPath</td><td>material </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="gae4252d97a0945e3b25995650d79a64ee" name="gae4252d97a0945e3b25995650d79a64ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae4252d97a0945e3b25995650d79a64ee">&#9670;&#160;</a></span>SetCameraType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetCameraType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>cam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../dd/dd2/group___camera.html#gaf7eb92b45c5f7f64f02821f87c385ebb">CameraType</a>&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ga9b244d2618f2a96d9f6642d44f618707" name="ga9b244d2618f2a96d9f6642d44f618707"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9b244d2618f2a96d9f6642d44f618707">&#9670;&#160;</a></span>SetCameraVerticalFOV()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetCameraVerticalFOV </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>cam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>fovy</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="gaa3480d6eb19b49b7188e98d052995745" name="gaa3480d6eb19b49b7188e98d052995745"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa3480d6eb19b49b7188e98d052995745">&#9670;&#160;</a></span>SetListenerCamera()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetListenerCamera </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>camera</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>sets which camera will be a listener (for sound engine) </p>

</div>
</div>
<a id="ga6036a62c98408dee3997101c5fa6b5b7" name="ga6036a62c98408dee3997101c5fa6b5b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6036a62c98408dee3997101c5fa6b5b7">&#9670;&#160;</a></span>UnprojectVector()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto <a class="el" href="../../d7/dfc/classvector.html">vector</a> UnprojectVector </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>cam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>dir</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
